clang 10.0.0git

Public Member Functions | List of all members
clang::ento::StackHintGenerator Class Referenceabstract

Interface for classes constructing Stack hints. More...

`#include "clang/StaticAnalyzer/Core/BugReporter/BugReporter.h"`

Inheritance diagram for clang::ento::StackHintGenerator:
[legend]

## Public Member Functions
virtual | ~StackHintGenerator ()=0
virtual std::string | getMessage (const ExplodedNode *N)=0
| Construct the Diagnostic message for the given ExplodedNode. More...

## Detailed Description

Interface for classes constructing Stack hints.

If a PathDiagnosticEvent occurs in a different frame than the final diagnostic the hints can be used to summarize the effect of the call.

Definition at line 77 of file BugReporter.h.

## Constructor & Destructor Documentation

## ◆ ~StackHintGenerator()

StackHintGenerator::~StackHintGenerator | ( |  | ) |
| pure virtual default

## Member Function Documentation

## ◆ getMessage()

virtual std::string clang::ento::StackHintGenerator::getMessage | ( | const ExplodedNode * | N | ) |
| pure virtual

Construct the Diagnostic message for the given ExplodedNode.

Implemented in clang::ento::StackHintGeneratorForSymbol.

The documentation for this class was generated from the following files:

- include/clang/StaticAnalyzer/Core/BugReporter/BugReporter.h
- lib/StaticAnalyzer/Core/BugReporter.cpp